<div class="container-fluid ">
    <div class="row">
      <div class="col-3 side-panel-wrapper">
        <div class="accordion" id="accordionExample">
          <div class="accordion-item">
            <h2 class="accordion-header" id="headingOne">
              <!--personalizar cabecera-->
              <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseOne" aria-expanded="false" aria-controls="collapseOne">
                <p>Personalizar cabecera</p>
              </button>
            </h2>
            <div id="collapseOne" class="accordion-collapse collapse " aria-labelledby="headingOne" data-bs-parent="#accordionExample">
              <div class="accordion-body">
                <ul class="personalizar-cabecera-item customize-list">
                  <li>
                    <h5>Imagen principal</h5>
                    <p>Acá puedes subir el logo de tu comercio en formato .PNG .JPG o SVG. Máximo 100kb</p>
                    <div class="file-wrapper">
                      <label for="formFile" class="">Sube una imagen</label>
                      <input class="form-control" type="file" id="formFile">
                    </div>   
                  </li>
                  <li>
                    <h5>Nombre de tu restaurant</h5>
                    <input [(ngModel)]="menuInfo.NombreRestaurant" name="NombreRestaurant" class="form-control" placeholder="Escribe aquí el nombre">
                    <select [(ngModel)]="menuInfo.FuenteNombre" name="FuenteNombre" class="form-select" aria-label="Default select example">
                      <option selected>Selecciona una fuente</option>
                      <option value="Arial">Arial</option>
                      <option value="Verdana">Verdana</option>
                    </select>
                  </li>
                  <li>
                    <h5>Descripción de tu restaurant</h5>
                    <input [(ngModel)]="menuInfo.DescripcionRestaurant" name="DescripcionRestaurant" class="form-control" placeholder="Escribe aquí el nombre">
                    <select [(ngModel)]="menuInfo.FuenteDescripcion" name="FuenteDescripcion" class="form-select" aria-label="Default select example">
                      <option selected>Selecciona una fuente</option>
                      <option value="Arial">Arial</option>
                      <option value="Verdana">Verdana</option>
                    </select>
                  </li>
                  <li>
                    <h5>Fondo de cabecera</h5>
                    <p>Para personalizar la cabecera de tu menú, puedes subir una foto, textura o simplemente un color, también puedes elegir un tipo de fuente.</p>
                    <div class="file-wrapper">
                      <label for="formFile" class="">Sube una imagen</label>
                      <input [(ngModel)]="menuInfo.ImagenCabecera" name="ImagenCabecera" class="" type="file" id="formFile">
                    </div>
                  </li>
                  <li>
                    <div class="color-change-item">
                      <label for="ColorInput" class="form-label">Cambiar color</label>
                      <input [(ngModel)]="menuInfo.ColorCabecera" name="ColorCabecera"  type="color" class="form-control form-control-color" id="ColorInput" value="#fafafa" title="Choose your color">
                    </div>
                  </li>
                </ul>
              </div>
            </div>
          </div>
          <!-- end personalizar cabecera -->
          <div class="accordion-item">
            <h2 class="accordion-header" id="headingTwo">
              <!-- personalizar secciones-->
              <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseTwo" aria-expanded="false" aria-controls="collapseTwo">
                <p>Personalizar secciones</p>
              </button>
            </h2>
            <div id="collapseTwo" class="accordion-collapse collapse" aria-labelledby="headingTwo" data-bs-parent="#accordionExample">
              <div class="accordion-body">
                <ul class="personalizar-secciones-item customize-list">
                  <h5>Secciones</h5>
                  <p>En este apartado puedes agregar las categorías que permiten organizar tu menú (desayunos, almuerzos y cenas o entradas, plato de fondo, bebidas y postres, etc.)</p>
                  <div class="btnAdd" (click)="addItemSectionSidepanel()">
                    <span>
                    Agregar
                    </span>
                  </div>
                  <li *ngFor="let sec of menuInfo.Secciones; let index=index" style="cursor: pointer"
                      [attr.indexSectionPanel]="index"
                      (click)="xpandItemSection(index)"
                      #indexSectionPanel
                  >
                    <div class="main-item" *ngIf="indexSectionPanel.getAttribute('indexSectionPanel')!==expandedSectionPanel">
                      <p>{{ sec.NombreSeccion }}</p>
                      <button class="btn-remove" (click)="removeSectSidePanel(index)">Quitar</button>
                    </div>
                    <div class="detail-item" *ngIf="indexSectionPanel.getAttribute('indexSectionPanel')==expandedSectionPanel">
                      <label for="item-cat-{{index}}">Nombre de la categoría</label>
                      <input [(ngModel)]="sec.NombreSeccion" name="NombreSeccion" id="item-cat-{{index}}" class="form-control" placeholder="Ej: Mariscos">
                      <select class="form-select" aria-label="Default select example">
                        <option selected>Selecciona una fuente</option>
                        <option value="2">Two</option>
                        <option value="3">Three</option>
                      </select>
                      <div class="color-change-item">
                        <label for="ColorInput" class="form-label">Cambiar color</label>
                        <input [(ngModel)]="sec.ColorSeccion" name="ColorSeccion" type="color" class="form-control form-control-color" id="ColorInput" value="#fafafa" title="Choose your color">
                      </div>
                    </div>
                  </li>

                  <!--li>
                    <label for="categoryName">Nombre de la categoría</label>
                    <input  id="categoryName" class="form-control" placeholder="Ej: Mariscos">
                    <select class="form-select" aria-label="Default select example">
                      <option selected>Selecciona una fuente</option>
                      <option value="2">Two</option>
                      <option value="3">Three</option>
                    </select>
                    <div class="color-change-item">
                      <label for="ColorInput" class="form-label">Cambiar color</label>
                      <input type="color" class="form-control form-control-color" id="ColorInput" value="#fafafa" title="Choose your color">
                    </div>       
                  </li-->
                </ul>
              </div>
            </div>
          </div>
            <!-- end personalizar secciones -->
          <div class="accordion-item">
            <h2 class="accordion-header" id="headingThree">
              <!-- platos -->
              <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseThree" aria-expanded="false" aria-controls="collapseThree">
                <p>Platos</p>
              </button>
            </h2>
            <div id="collapseThree" class="accordion-collapse collapse" aria-labelledby="headingThree" data-bs-parent="#accordionExample">
              <div class="accordion-body">
                <ul class="platos-item customize-list">
                  <h5>Seleccionar platos</h5>
                  <p>Selecciona los platos que quieres agregar a una sección específica y asígnalos para visualizar en la sección.</p>
                  <li>
                    <input (keyup)="filterInPlates(inputSearchPlates)" #inputSearchPlates type="search" class="form-control" name="platosSearch" placeholder="Busca un producto...">
                  </li>
                  <li class="platos-count">
                    <h5>Platos</h5>
                    <p>{{ platesFIlterList.length }} productos</p>
                  </li>
                  <li class="platos-check">
                    <div class="form-check" *ngFor="let plat of platesFIlterList; let indexpla=index">
                      <input (change)="checkPlate(indexpla)" class="form-check-input" type="checkbox" id="defaultCheck1">
                      <label class="form-check-label" for="defaultCheck1">
                        {{ plat.Nombre}} </label>
                      <small>{{plat.NombredeFantasiaInterno}}</small>
                    </div>
                    <!--div class="form-check">
                      <input class="form-check-input" type="checkbox" value="" id="defaultCheck1">
                      <label class="form-check-label" for="defaultCheck1">
                        Tallarines a la Huancaína </label>
                      <small>Reineta, cebolla, ají rocoto, camote, cilantro, leche de tigre, maíz </small>
                    </div-->
                  </li>
                  <li class="platos-finish" *ngIf="selectedPlatesPanelSide.length > 0">
                    <p>Tienes {{selectedPlatesPanelSide.length}} platos seleccionados</p>
                    <h5>¿Quieres asignarlos a una sección?</h5>
                    <button class="btn-assign" (click)="platosDrag()" data-bs-toggle="modal" data-bs-target="#assign-modal">Asignar</button>
                  </li>
                </ul>
              </div>
            </div>
          </div>
          <!-- end personalizar platos -->
          <div class="accordion-item">
            <h2 class="accordion-header" id="headingFour">
              <!-- crear ofertas -->
              <button class="accordion-button collapsed" type="button" data-bs-toggle="collapse" data-bs-target="#collapseFour" aria-expanded="false" aria-controls="collapseFour">
                <p>Crear ofertas</p>
              </button>
            </h2>
            <div id="collapseFour" class="accordion-collapse collapse" aria-labelledby="headingFour" data-bs-parent="#accordionExample">
              <div class="accordion-body">
                <ul class="ofertas-item customize-list">
                  <h5>Sube una nueva oferta</h5>
                  <p>Acá puedes crear nuevas ofertas y asignarlas a diversos productos o categorías.</p>
                  <li>
                    <div class="file-wrapper">
                      <label for="formFile" class="">Sube un banner</label>
                      <input class="" type="file" id="formFile">
                    </div>
                  </li>
                  <li>
                    <div class="color-change-item">
                      <label for="ColorInput" class="form-label">Color de fondo</label>
                      <input type="color" class="form-control form-control-color" id="ColorInput" value="#fafafa" title="Choose your color">
                    </div> 
                  </li>
                  <li>
                    <h5>Nombre de promoción</h5>
                    <input class="form-control" placeholder="Escribe aquí el nombre">
                    <select class="form-select" aria-label="Default select example">
                      <option selected>Selecciona una fuente</option>
                      <option value="2">Two</option>
                      <option value="3">Three</option>
                    </select>
                  </li>
                  <li>
                    <h5>Detalle de la promoción</h5>
                    <input class="form-control" placeholder="Escribe aquí el nombre">
                    <select class="form-select" aria-label="Default select example">
                      <option selected>Selecciona una fuente</option>
                      <option value="2">Two</option>
                      <option value="3">Three</option>
                    </select>
                  </li>
                  <li>
                    <h5>Condiciones de la promoción</h5>
                    <input class="form-control" placeholder="Escribe aquí el nombre">
                    <select class="form-select" aria-label="Default select example">
                      <option selected>Selecciona una fuente</option>
                      <option value="2">Two</option>
                      <option value="3">Three</option>
                    </select>
                  </li>
                  <li class="dif-item">
                    <h5>Tag diferenciador de promoción</h5>
                    <p>Selecciona un tipo de diferenciador para tus productos en promoción.</p>
                    <input name="diferenciador" class="form-control mb-1" type="text" placeholder="Texto para diferenciador">
                    <div id="diferenciador" class="form-text">Máximo 15 caracteres.</div>
                    <div class="form-check form-check-inline form-check-dif">
                      <label class="form-check-label" for="inlineRadio1"><img src="assets/dif-1.png"></label>
                      <input class="form-check-input" type="radio" name="inlineRadioOptions" id="inlineRadio1" value="option1">
                    </div>
                    <div class="form-check form-check-inline form-check-dif form-check-dif-middle">
                      <label class="form-check-label" for="inlineRadio1"><img src="assets/dif-2.png"></label>
                      <input class="form-check-input" type="radio" name="inlineRadioOptions" id="inlineRadio1" value="option1">
                    </div>
                    <div class="form-check form-check-inline form-check-dif">
                      <label class="form-check-label" for="inlineRadio1"><img src="assets/dif-3.png"></label>
                      <input class="form-check-input" type="radio" name="inlineRadioOptions" id="inlineRadio1" value="option1">
                    </div>
                    <button class="btn-assign mb-3" data-bs-toggle="modal" data-bs-target="#select-dish-modal">Asignar</button>
                    <button class="btn" data-bs-toggle="modal" data-bs-target="#assign-store-modal">botón de modal 'asignar comercio'</button>
                    <button class="btn" data-bs-toggle="modal" data-bs-target="#assign-menuname-modal">botón de modal 'agregar un nombre para diferenciar el menu'</button>
                  </li>
                </ul>
              </div>
            </div>
            <!-- end crear ofertas -->

          </div>
        </div>
      </div>
      <div class="col-9">
        <app-customize-maincontent [platesToDrop]="platesToDrop" [menu]="menuInfo" (_saveAndPublish)="saveAndPublish($event)" (selecteSectionToDrop)="platesDropInSection($event)"></app-customize-maincontent>
      </div>
    </div>
  </div>
  